# Reorder BOM items (/docs/api-reference/products/ProductsController_reorderBomItems)

`PUT /api/factories/{factoryId}/products/{productId}/bom/reorder`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "items": {
      "description": "Ordered list of BOM items",
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "BOM item ID"
          },
          "sortOrder": {
            "type": "number",
            "description": "New sort order"
          }
        },
        "required": [
          "id",
          "sortOrder"
        ]
      }
    }
  },
  "required": [
    "items"
  ]
}
```

## Responses

### 200: BOM items reordered